package com.steerinfo.ems.trmtimegran.model;

import com.steerinfo.ems.tcmdatasourcetimegran.model.TCmDatasourceTimegran;
import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class TRmTimegran implements IBasePO<String> {
    /**
     * 粒度代码(ID,VARCHAR,40)
     */
    @ApiModelProperty(value="粒度代码",required=false)
    private String id;

    /**
     * 粒度名称(NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="粒度名称",required=true)
    private String name;

    /**
     * 描述信息(REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="描述信息",required=true)
    private String remark;

    /**
     * 格式化公式(FMTEXP,VARCHAR,40)
     */
    @ApiModelProperty(value="格式化公式",required=true)
    private String fmtexp;

    /**
     * 顺序(BCODE,VARCHAR,40)
     */
    @ApiModelProperty(value="顺序",required=true)
    private String bcode;

    /**
     * 备用描述1(BDESC1,VARCHAR,60)
     */
    @ApiModelProperty(value="备用描述1",required=true)
    private String bdesc1;

    /**
     * 备用描述2(BDESC2,VARCHAR,100)
     */
    @ApiModelProperty(value="备用描述2",required=true)
    private String bdesc2;

    /**
     * 默认粒度(ISDEFAULT,VARCHAR,1)
     */
    @ApiModelProperty(value="默认粒度",required=true)
    private String isdefault;

    /**
     * 累计粒度(SUMGRAN,VARCHAR,40)
     */
    @ApiModelProperty(value="累计粒度",required=true)
    private String sumgran;

    /**
     * 初始偏移(INIT_OFFSET,VARCHAR,40)
     */
    @ApiModelProperty(value="初始偏移",required=true)
    private String initOffset;

    @ApiModelProperty(value="tCmDatasourceTimegran对象",required=true)
    private TCmDatasourceTimegran tCmDatasourceTimegran;

    /**
     * 创建人(CREATEMAN,VARCHAR,255)
     */
    @ApiModelProperty(value="创建人",required=true)
    private String createman;

    /**
     * 创建时间(CREATETIME,DATE,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createtime;

    /**
     * 修改人(UPDATEMAN,VARCHAR,255)
     */
    @ApiModelProperty(value="修改人",required=true)
    private String updateman;

    /**
     * 修改时间(UPDATETIME,DATE,7)
     */
    @ApiModelProperty(value="修改时间",required=true)
    private Date updatetime;

    public TCmDatasourceTimegran gettCmDatasourceTimegran() {
        return tCmDatasourceTimegran;
    }


    public void settCmDatasourceTimegran(TCmDatasourceTimegran tCmDatasourceTimegran) {
        this.tCmDatasourceTimegran = tCmDatasourceTimegran;
    }

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public String getFmtexp() {
        return fmtexp;
    }

    public void setFmtexp(String fmtexp) {
        this.fmtexp = fmtexp == null ? null : fmtexp.trim();
    }

    public String getBcode() {
        return bcode;
    }

    public void setBcode(String bcode) {
        this.bcode = bcode == null ? null : bcode.trim();
    }

    public String getBdesc1() {
        return bdesc1;
    }

    public void setBdesc1(String bdesc1) {
        this.bdesc1 = bdesc1 == null ? null : bdesc1.trim();
    }

    public String getBdesc2() {
        return bdesc2;
    }

    public void setBdesc2(String bdesc2) {
        this.bdesc2 = bdesc2 == null ? null : bdesc2.trim();
    }

    public String getIsdefault() {
        return isdefault;
    }

    public void setIsdefault(String isdefault) {
        this.isdefault = isdefault == null ? null : isdefault.trim();
    }

    public String getSumgran() {
        return sumgran;
    }

    public void setSumgran(String sumgran) {
        this.sumgran = sumgran == null ? null : sumgran.trim();
    }

    public String getInitOffset() {
        return initOffset;
    }

    public void setInitOffset(String initOffset) {
        this.initOffset = initOffset == null ? null : initOffset.trim();
    }

    public String getCreateman() {
        return createman;
    }

    public void setCreateman(String createman) {
        this.createman = createman == null ? null : createman.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public String getUpdateman() {
        return updateman;
    }

    public void setUpdateman(String updateman) {
        this.updateman = updateman == null ? null : updateman.trim();
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", remark=").append(remark);
        sb.append(", fmtexp=").append(fmtexp);
        sb.append(", bcode=").append(bcode);
        sb.append(", bdesc1=").append(bdesc1);
        sb.append(", bdesc2=").append(bdesc2);
        sb.append(", isdefault=").append(isdefault);
        sb.append(", sumgran=").append(sumgran);
        sb.append(", initOffset=").append(initOffset);
        sb.append(", createman=").append(createman);
        sb.append(", createtime=").append(createtime);
        sb.append(", updateman=").append(updateman);
        sb.append(", updatetime=").append(updatetime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }

}